discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/sysdeps/stub/stubs.c Source File

Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals

# stubs.c

Go to the documentation of this file.

    00001 /* $Progeny$ */
    00002
    00012 /* stubs.c -- Stubs for Discover device scan routines
    00013  *
    00014  * Copyright 2002 Progeny Linux Systems, Inc.
    00015  * Copyright 2002 Hewlett-Packard Company
    00016  *
    00017  * Permission is hereby granted, free of charge, to any person obtaining a
    00018  * copy of this software and associated documentation files (the "Software"),
    00019  * to deal in the Software without restriction, including without limitation
    00020  * the rights to use, copy, modify, merge, publish, distribute, sublicense,
    00021  * and/or sell copies of the Software, and to permit persons to whom the
    00022  * Software is furnished to do so, subject to the following conditions:
    00023  *
    00024  * The above copyright notice and this permission notice shall be included in
    00025  * all copies or substantial portions of the Software.
    00026  *
    00027  * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    00028  * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    00029  * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
    00030  * THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    00031  * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
    00032  * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
    00033  * DEALINGS IN THE SOFTWARE.
    00034  */
    00035
    00036 #include <config.h>
    00037
    00038 #include <sysdep.h>
    00039
    00040 #include <stdio.h>  /* For NULL */
    00041
    00050 discover_sysdep_data_t *
    00051 _discover_get_ata_raw(void)
    00052 {
    00053     return NULL;
    00054 }
    00055
    00059 discover_sysdep_data_t *
    00060 _discover_get_pci_raw(void)
    00061 {
    00062     return NULL;
    00063 }
    00064
    00068 discover_sysdep_data_t *
    00069 _discover_get_pcmcia_raw(void)
    00070 {
    00071     return NULL;
    00072 }
    00073
    00077 discover_sysdep_data_t *
    00078 _discover_get_scsi_raw(void)
    00079 {
    00080     return NULL;
    00081 }
    00082
    00086 discover_sysdep_data_t *
    00087 _discover_get_usb_raw(void)
    00088 {
    00089     return NULL;
    00090 }
    00091
    00094 /*
    00095  * Local variables:
    00096  * c-file-style: "progeny"
    00097  * indent-tabs-mode: nil
    00098  * End:
    00099  */
    00100 /* vim: set cin fo=tcroq sw=4 et sts=4 tw=75: */